%global __python2 %{__python}
%global python2_sitelib %{python_sitelib}
%global python2_version %{python_version}

Name:           python-sphinx-bootstrap-theme
Version:        0.4.13
Release:        10
Summary:        Sphinx Bootstrap Theme
License:        MIT and ASL 2.0
URL:            http://ryan-roemer.github.com/sphinx-bootstrap-theme
Source0:        https://files.pythonhosted.org/packages/source/s/sphinx-bootstrap-theme/sphinx-bootstrap-theme-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  web-assets-devel

%description
This Sphinx theme integrates the Bootstrap CSS/JavaScript framework with various layout options,
hierarchical menu navigation, and mobile-friendly responsive design.It is configurable, extensible,
and can use any number of different Bootswatch CSS themes.

%package -n python2-sphinx-bootstrap-theme
Summary:        Sphinx Bootstrap Theme
BuildRequires:  python2-setuptools python2-devel
Requires:       glyphicons-halflings-fonts js-jquery1 python2-sphinx
%{?python_provide:%python_provide python2-sphinx-bootstrap-theme}

%description -n python2-sphinx-bootstrap-theme
This Sphinx theme integrates the Bootstrap CSS/JavaScript framework with various layout options,
hierarchicalmenunavigation,and mobile-friendly responsive design.It is configurable, extensible, 
and can use any number of different Bootswatch CSS themes.

%package -n python3-sphinx-bootstrap-theme
Summary:        Sphinx Bootstrap Theme
BuildRequires:  python3-devel python3-setuptools
Requires:       glyphicons-halflings-fonts js-jquery1 python3-sphinx
%{?python_provide:%python_provide python3-sphinx-bootstrap-theme}

%description -n python3-sphinx-bootstrap-theme
This Sphinx theme integrates the Bootstrap CSS/JavaScript framework with various layout options,
hierarchicalmenunavigation,and mobile-friendly responsive design.It is configurable, extensible, 
and can use any number of different Bootswatch CSS themes.

%package help
Summary:        Help documentation for sphinx-bootstrap-theme

%description help
Help documentation for sphinx-bootstrap-theme.

%prep
%{__rm} -rf *.egg-info
%autosetup -n sphinx-bootstrap-theme-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install
for d in %{python2_sitelib} %{?with_py3:%{python3_sitelib}}; do
  %{__rm} -f %{buildroot}${d}/sphinx_bootstrap_theme/bootstrap/static/js/jquery-1.11.0.min.js
  %{__ln_s} -f %{_webassetdir}/jquery/1/jquery.min.js \
    %{buildroot}${d}/sphinx_bootstrap_theme/bootstrap/static/js/jquery-1.11.0.min.js
  %{__rm} -f %{buildroot}${d}/sphinx_bootstrap_theme/bootstrap/static/bootstrap-3.3.6/fonts/glyphicons-halflings-regular.ttf
  %{__ln_s} -f %{_datadir}/fonts/glyphicons-halflings/glyphicons-halflings-regular.ttf \
    %{buildroot}${d}/sphinx_bootstrap_theme/bootstrap/static/bootstrap-3.3.6/fonts/glyphicons-halflings-regular.ttf
done

%files -n python2-sphinx-bootstrap-theme
%license LICENSE.txt
%{python2_sitelib}/sphinx_bootstrap_theme
%{python2_sitelib}/sphinx_bootstrap_theme-%{version}-py%{python2_version}.egg-info

%files -n python3-sphinx-bootstrap-theme
%license LICENSE.txt
%{python3_sitelib}/sphinx_bootstrap_theme
%{python3_sitelib}/sphinx_bootstrap_theme-%{version}-py%{python3_version}.egg-info

%files help
%doc PKG-INFO *.rst

%changelog
* Wed Mar 11 2020 shijian <shijian16@huawei.com> - 0.4.13-10
- Package init
